## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 23
%bcond_without check

%global crate pore

Name:           rust-pore
Version:        0.1.8
Release:        %autorelease
Summary:        Performance oriented reimplementation of repo

License:        Apache-2.0
URL:            https://crates.io/crates/pore
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * downgrade git2 from 0.16 to 0.14
Patch:          pore-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Performance oriented reimplementation of repo.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        Apache-2.0 AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 OR MIT OR Zlib) AND 0BSD AND BSD-3-Clause AND MIT AND GPL-2.0-only WITH GCC-exception-2.0 AND Unicode-DFS-2016
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%if 0%{?fedora}
%license LICENSE.dependencies
%endif
%doc README.md
%{_bindir}/pore

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%if 0%{?fedora}
%{cargo_license} > LICENSE.dependencies
%endif

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Jan 15 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1.8-5
- Rebuilt for MSVSphere 9.3

* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.8-5
- Rebuild for openssl crate >= v0.10.60 (RUSTSEC-2023-0044,
  RUSTSEC-2023-0072)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.8-3
- Rebuild for tokio, h2, and openssl crate security updates

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.8-2
- Rebuild for CVE-2022-24765 and CVE-2022-29187 in libgit2

* Fri Jan 27 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.8-1
- Update to 0.1.8

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jan 13 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.6-3
- Instead of shelling out to cp, replace copy_dir with fs_extra as upstream
  now does

* Mon Jan 02 2023 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.6-2
- Only generate LICENSE.dependencies on Fedora; EL9's rust-packaging is too
  old

* Thu Dec 29 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.1.6-1
- Initial Fedora package
